import { Logger } from "../utils/logger";
export declare enum StorageKeys {
    AGENDA_USERS = "agenda_users",
    CURRENT_ORGANISATION = "current_organisation",
    ORGANISATION = "organisation",
    CURRENT_USER = "currentUser",
    RECENT_SERVICES = "recent_services",
    RECENT_SERVICE_GROUPS = "recent_service_groups",
    RECENT_STAFFS = "recent_staffs",
    RECENT_CONTACTS = "recent_contacts",
    RECENT_COMPANIES = "recent_companies",
    RECENT_USERS = "recent_users",
    WORKING_PLANNING_COMPANY = "working_planning_company",
    PREVIOUS_USER = "previous_user",
    DOWNLOADED_REPORT = "downloadedReport",
    AGENDAS_NON_TEAM = "agendasNonTeam",
    AGENDAS_TEAM_REMOVED = "agendasTeamRemoved",
    AGENDAS_ENABLED = "agendasEnabled",
    REALM = "realm"
}
export declare class BrowserStorage {
    private readonly logger?;
    constructor(logger?: Logger);
    dispose(): void;
    getItem(key: StorageKeys): string | null;
    setItem(key: StorageKeys, item: string): void;
    clear(): void;
    clearAllBut(but: (StorageKeys | 'local' | 'session')[]): void;
    removeItem(key: StorageKeys): void;
    getItems(key: StorageKeys): BrowserStorageItemValue[] | null;
    setItems(key: StorageKeys, items: BrowserStorageItemValue[]): void;
    private getKeyStorage;
    private _onCascadeDelete;
    private _cleanRecentsCompanies;
    private _cleanRecentsServices;
    private _cleanRecentsStaffs;
    private _cleanRecentsContacts;
    private _cleanRecentsUsers;
}
export type BrowserStorageItemValue = {
    id: string;
};
