/**
 * Copyright 2023 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare enum BatchableApi {
    'CONFERENCE_SPEAKER_API' = 0,
    'EVENT' = 1
}
export declare class BatchRequest<T> {
    api: BatchableApi;
    method: 'LIST' | 'POST' | 'GET' | 'DELETE' | 'PUT' | 'PATCH';
    body?: T;
    queryParams?: any;
    constructor(api: BatchableApi, method: 'LIST' | 'POST' | 'GET' | 'DELETE' | 'PUT' | 'PATCH', queryParam?: any, body?: T);
    toBatchRequestDto(): BatchRequestDto<T>;
}
export declare class BatchRequestDto<T> {
    path: string;
    method: 'POST' | 'GET' | 'DELETE' | 'PUT' | 'PATCH';
    body?: T;
    name?: string;
    headers?: string;
}
export declare class BatchResponseDto<T> {
    path: string;
    method: 'POST' | 'GET' | 'DELETE' | 'PUT' | 'PATCH';
    body?: T;
    status: number;
    name?: string;
}
