import { AdditionalFieldsDto, AdditionalFieldsEntity } from "./Contact";
export declare enum ContactMatchingType {
    EMAIL = "emailAddress",
    PHONE = "phoneNumber",
    REF = "clientReference"
}
export declare class CRMSettingsEntity {
    account: string;
    additionalFields: AdditionalFieldsEntity;
    contactPropertyMatching: ContactMatchingType;
    locationFiltering: boolean;
    locationAppointmentFiltering: boolean;
    fieldColumns: String[];
    sync: CRMSettingsSyncEntity;
    constructor(account: string);
    static fromCRMSettingsDTO(account: string, dto: CRMSettingsDTO): CRMSettingsEntity;
}
export declare class CRMSettingsSyncEntity {
    clientLookup: boolean;
    createNewClient: boolean;
    constructor();
    static fromCRMSettingsSyncDto(dto: CRMSettingsSyncDto): CRMSettingsSyncEntity;
}
export declare class CRMSettingsDTO {
    additionalFields?: AdditionalFieldsDto;
    contactPropertyMatching?: ContactMatchingType;
    locationFiltering?: boolean;
    locationAppointmentFiltering?: boolean;
    fieldColumns?: String[];
    sync?: CRMSettingsSyncDto;
}
export declare class CRMSettingsSyncDto {
    clientLookup?: boolean;
    createNewClient?: boolean;
}
