import { CalendarWorkingDayDto, CalendarWorkingDayEntity } from "./WorkingHours";
import { CalendarsDto } from "../service/calendarService";
/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class CalendarsEntity {
    users: CalendarEntity[];
    static fromDto(dto: CalendarsDto): CalendarsEntity;
}
export declare class CalendarEntity {
    id?: string;
    companies: CalendarCompanyEntity[];
    anonymous: boolean;
    static fromCalendarDto(dto: CalendarDto, timeZone: string, vacations: VacationDto[]): CalendarEntity;
}
export declare class CalendarCompanyEntity {
    companyId: string;
    staffId: string;
    ics: string[];
    workingHours: CalendarWorkingDayEntity[];
    static fromCalendarCompanyDto(dto: CalendarCompanyDto, timeZone: string): CalendarCompanyEntity;
}
export declare class CalendarTeamEntity {
    id: string;
    name: string;
    company: string;
    managers?: string[];
    members?: string[];
    static fromDto(dto: CalendarTeamDto | CalendarTeamLightDto): CalendarTeamEntity;
    static fromLightDto(dto: CalendarTeamLightDto): CalendarTeamEntity;
}
export declare class CalendarDto {
    userId: string;
    companies: CalendarCompanyDto[];
}
export declare class CalendarTeamDto {
    id: string;
    name: string;
    company: string;
    managers?: CalendarTeamManagerDto[];
    members?: CalendarTeamMemberDto[];
}
export declare class CalendarTeamLightDto {
    i: string;
    n: string;
    c: string;
    m?: CalendarTeamManagerDto[];
    g?: CalendarTeamMemberDto[];
}
export declare class CalendarTeamMemberDto {
    id: string;
}
export declare class CalendarTeamManagerDto {
    id: string;
}
export declare class CalendarCompanyDto {
    companyId: string;
    staffId: string;
    ics: string[];
    workingHours: CalendarWorkingDayDto[];
}
export declare class VacationDto {
    ownerId: string;
    start: number;
    end: number;
}
