/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ImageEntity } from "./Image";
import { AddressEntity, GeoLocationDto, GeoLocationEntity } from "./Address";
import { SettingsWorkingDayDto, SettingsWorkingDayEntity } from "./WorkingHours";
export declare class CompanyEntity {
    id?: string;
    encryptedId?: string;
    owner: {
        id: string;
        userName: string;
    };
    name: string;
    photo?: ImageEntity;
    picture?: ImageEntity;
    address?: AddressEntity;
    geolocation?: GeoLocationEntity;
    phone?: string;
    email?: string;
    description?: string;
    instagramLink?: string;
    twitterLink?: string;
    facebookLink?: string;
    linkedInLink?: string;
    websiteLink?: string;
    timeZone?: string;
    externalId?: string;
    currency?: string;
    workingHours?: SettingsWorkingDayEntity[];
    vacations?: {
        endDate: Date;
        startDate: Date;
    }[];
    externalCalendars?: {
        address: string;
        type: string;
    }[];
    pmrAccess?: boolean;
    static fromCompanyDto(dto: CompanyDto): CompanyEntity;
    static toCompanyDto(entity: CompanyEntity): CompanyDto;
}
export declare class CompanyDto {
    id?: string;
    encryptedId?: string;
    owner: {
        id: string;
        userName: string;
    };
    name: string;
    address?: AddressEntity;
    geolocation?: GeoLocationDto;
    photo?: ImageEntity;
    picture?: ImageEntity;
    phone?: string;
    email?: string;
    description?: string;
    socialMedias?: {
        instagramLink?: string;
        twitteLink?: string;
        facebookPageLink?: string;
        linkedInLink?: string;
    };
    websiteLink?: string;
    timeZone?: string;
    externalId?: string;
    currency?: string;
    workingHours?: SettingsWorkingDayDto[];
    vacations?: {
        endDate: string;
        startDate: string;
    }[];
    externalCalendars?: {
        address: string;
        type: string;
    }[];
    pmrAccess?: boolean;
}
