export declare enum ActionType {
    LOGIN = 0,
    COMPANY = 1,
    CATEGORY_ACTIVITY = 2,
    TEAM_ACTIVITY = 3,
    SERVICE_ACTIVITY = 4,
    STAFF_ACTIVITY = 5,
    CONFERENCE_ACTIVITY = 7
}
export declare enum Action {
    LOGIN = 0,
    BAD_LOGIN = 1,
    LOGIN_LOCK = 2,
    BAD_CHANGE_PWD = 3,
    CHANGE_PWD = 4,
    NEW = 5,
    EDIT = 6,
    DELETE = 7,
    COPY = 8
}
export declare class LogEntity {
    id: string;
    date: Date;
    user: {
        id?: string;
        email?: string;
        firstName?: string;
        lastName?: string;
    };
    actionType: ActionType;
    action: Action;
    company?: {
        id: string;
        name: string;
    };
    simpleObject?: {
        id: string;
        name: string;
        misc1?: string;
    };
    changeLogId?: string;
    conference?: {
        id: string;
        title: string;
    };
    static fromLogDto(dto: LogDto): LogEntity;
}
export declare class LogDto {
    id: string;
    author: string;
    date: {
        dateTime: string;
        timeZone?: string;
    };
    user: {
        id?: string;
        email?: string;
        firstName?: string;
        lastName?: string;
    };
    actionType: number;
    action: number;
    company?: {
        id: string;
        name: string;
    };
    simpleObject?: {
        id: string;
        name: string;
        misc1?: string;
    };
    changeLogId?: string;
    conference?: {
        id: string;
        title: string;
    };
}
