export declare enum NotificationType {
    EMAIL = "email",
    SMS = "sms"
}
export declare enum NotificationRecipientType {
    CLIENT = "client",
    STAFF = "staff"
}
export declare class NotificationEntity {
    id: string;
    type: NotificationType;
    appointment?: {
        id: string;
        selfLink?: string;
    };
    content: {
        content: string;
        contentType: string;
        subject: string;
    };
    date?: Date;
    recipients: {
        emailAddress: string;
        id: string;
        type: NotificationRecipientType;
    };
    static fromNotificationDto(dto: NotificationDto): NotificationEntity;
    static toNotificationDto(entity: NotificationEntity): NotificationDto;
}
export declare class NotificationDto {
    id: string;
    type: NotificationType;
    appointment?: {
        id: string;
        selfLink?: string;
    };
    content: {
        content: string;
        contentType: string;
        subject: string;
    };
    date?: {
        dateTime?: string;
        timeZone?: string;
    };
    recipients: {
        emailAddress: string;
        id: string;
        type: NotificationRecipientType;
    };
}
