/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ContactEntity } from "./Contact";
export declare enum QueueRegistrationStatus {
    REGISTERED = "registered",
    NO_SHOW = "noShow",
    IN_PROGRESS = "inProgress",
    FINISHED = "finished"
}
export declare class QueueRegistrationEntity {
    id?: string;
    owner?: {
        id?: string;
        userName?: string;
    };
    client?: ContactEntity;
    registeredDate?: Date;
    status?: QueueRegistrationStatus | undefined;
    rank?: number;
    startedDate?: Date;
    finishedDate?: Date;
    static fromQueueRegistrationDto(dto: QueueRegistrationDto): QueueRegistrationEntity;
    static toQueueRegistrationDto(entity: QueueRegistrationEntity): QueueRegistrationDto;
}
export declare class QueueRegistrationDto {
    id?: string;
    owner?: {
        id?: string;
        userName?: string;
    };
    client?: {
        id?: string;
        firstName?: string;
        lastName?: string;
        email?: string;
        phone?: string;
    };
    registered?: {
        dateTime: string;
        timeZone?: string;
    };
    status?: QueueRegistrationStatus;
    rank?: number;
    started?: {
        dateTime: string;
        timeZone?: string;
    };
    finished?: {
        dateTime: string;
        timeZone?: string;
    };
}
