/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class ReportsEntity {
    id: string;
    token: string;
    dashboards?: ReportDashboardEntity[];
    static fromDto(dto: ReportsDto): ReportsEntity;
}
export declare class ReportDashboardEntity {
    id: string;
    name?: string;
    subTitle?: string;
}
export declare class ReportDashboardDto {
    id: string;
    name?: string;
    subTitle?: string;
}
export declare class ReportsDto {
    id: string;
    token: string;
    dashboards?: ReportDashboardDto[];
}
export declare class ReportDashboardFilter {
    companies: string[];
    staffs: string[];
    dateMin?: string;
    dateMax?: string;
}
