export declare class ReportingExportBodyEntity {
    timeZone?: string;
    fields?: ReportingExportBodyFieldsEntity;
    filter?: ReportingExportBodyFilterEntity;
    constructor();
    static toReportingExportBodyDto(entity: ReportingExportBodyEntity): ReportingExportBodyDto;
}
export declare class ReportingExportBodyFilterEntity {
    start?: Date;
    end?: Date;
    companyIds?: string[];
    constructor();
    static toReportingExportBodyFilterDto(entity: ReportingExportBodyFilterEntity): ReportingExportBodyFilterDto;
}
export declare class ReportingExportBodyFieldsEntity {
    company?: ReportingExportBodyFieldCompanyEntity;
    service?: ReportingExportBodyFieldServiceEntity;
    staff?: ReportingExportBodyFieldStaffEntity;
    client?: ReportingExportBodyFieldClientEntity;
    appointment?: ReportingExportBodyFieldAppointmentEntity;
    constructor();
    static toReportingExportBodyFieldsDto(entity: ReportingExportBodyFieldsEntity): ReportingExportBodyFieldsDto;
}
export declare class ReportingExportBodyFieldCompanyEntity {
    name?: boolean;
    address?: ReportingExportBodyFieldCompanyAddressEntity;
    email?: boolean;
    phone?: boolean;
    latitude?: boolean;
    longitude?: boolean;
    externalId?: boolean;
    id?: boolean;
    constructor();
    static toReportingExportBodyFieldCompanyDto(entity: ReportingExportBodyFieldCompanyEntity): ReportingExportBodyFieldCompanyDto;
}
export declare class ReportingExportBodyFieldCompanyAddressEntity {
    street?: boolean;
    additionalStreet?: boolean;
    zipCode?: boolean;
    city?: boolean;
    country?: boolean;
    state?: boolean;
    constructor();
    static toReportingExportBodyFieldCompanyAddressDto(entity: ReportingExportBodyFieldCompanyAddressEntity): ReportingExportBodyFieldCompanyAddressDto;
}
export declare class ReportingExportBodyFieldServiceEntity {
    name?: boolean;
    duration?: boolean;
    capacity?: boolean;
    price?: boolean;
    categoryLevel1Name?: boolean;
    categoryLevel2Name?: boolean;
    externalId?: boolean;
    id?: boolean;
    categoryLevel1ExternalId?: boolean;
    categoryLevel1Id?: boolean;
    categoryLevel2ExternalId?: boolean;
    categoryLevel2Id?: boolean;
    constructor();
    static toReportingExportBodyFieldServiceDto(entity: ReportingExportBodyFieldServiceEntity): ReportingExportBodyFieldServiceDto;
}
export declare class ReportingExportBodyFieldStaffEntity {
    firstName?: boolean;
    lastName?: boolean;
    email?: boolean;
    phone?: boolean;
    groupName?: boolean;
    externalId?: boolean;
    id?: boolean;
    groupExternalId?: boolean;
    groupId?: boolean;
    constructor();
    static toReportingExportBodyFieldStaffDto(entity: ReportingExportBodyFieldStaffEntity): ReportingExportBodyFieldStaffDto;
}
export declare class ReportingExportBodyFieldClientEntity {
    firstName?: boolean;
    lastName?: boolean;
    email?: boolean;
    phone?: boolean;
    id?: boolean;
    constructor();
    static toReportingExportBodyFieldClientDto(entity: ReportingExportBodyFieldClientEntity): ReportingExportBodyFieldClientDto;
}
export declare class ReportingExportBodyFieldAppointmentEntity {
    start?: boolean;
    end?: boolean;
    location?: boolean;
    status?: boolean;
    notes?: boolean;
    customFields?: boolean;
    id?: boolean;
    constructor();
    static toReportingExportBodyFieldAppointmentDto(entity: ReportingExportBodyFieldAppointmentEntity): ReportingExportBodyFieldAppointmentDto;
}
export declare class ReportingExportBodyDto {
    timeZone?: string;
    fields?: ReportingExportBodyFieldsDto;
    filter?: ReportingExportBodyFilterDto;
}
export declare class ReportingExportBodyFilterDto {
    start?: string;
    end?: string;
    companyIds?: string[];
}
export declare class ReportingExportBodyFieldsDto {
    company?: ReportingExportBodyFieldCompanyDto;
    service?: ReportingExportBodyFieldServiceDto;
    staff?: ReportingExportBodyFieldStaffDto;
    client?: ReportingExportBodyFieldClientDto;
    appointment?: ReportingExportBodyFieldAppointmentDto;
}
export declare class ReportingExportBodyFieldCompanyDto {
    name?: boolean;
    address?: ReportingExportBodyFieldCompanyAddressDto;
    email?: boolean;
    phone?: boolean;
    latitude?: boolean;
    longitude?: boolean;
    externalId?: boolean;
    id?: boolean;
}
export declare class ReportingExportBodyFieldCompanyAddressDto {
    street?: boolean;
    additionalStreet?: boolean;
    zipCode?: boolean;
    city?: boolean;
    country?: boolean;
    state?: boolean;
}
export declare class ReportingExportBodyFieldServiceDto {
    name?: boolean;
    duration?: boolean;
    capacity?: boolean;
    price?: boolean;
    categoryLevel1Name?: boolean;
    categoryLevel2Name?: boolean;
    externalId?: boolean;
    id?: boolean;
    categoryLevel1ExternalId?: boolean;
    categoryLevel1Id?: boolean;
    categoryLevel2ExternalId?: boolean;
    categoryLevel2Id?: boolean;
}
export declare class ReportingExportBodyFieldStaffDto {
    firstName?: boolean;
    lastName?: boolean;
    email?: boolean;
    phone?: boolean;
    groupName?: boolean;
    externalId?: boolean;
    id?: boolean;
    groupExternalId?: boolean;
    groupId?: boolean;
}
export declare class ReportingExportBodyFieldClientDto {
    firstName?: boolean;
    lastName?: boolean;
    email?: boolean;
    phone?: boolean;
    id?: boolean;
}
export declare class ReportingExportBodyFieldAppointmentDto {
    start?: boolean;
    end?: boolean;
    location?: boolean;
    status?: boolean;
    notes?: boolean;
    customFields?: boolean;
    id?: boolean;
}
