import { ShortPollingNotificationObject, ShortPollingNotificationObjectDb } from "./shortPollingNotification/ShortPollingNotificationObject";
export type ShortPollingNotificationType = 'event' | 'report';
export type ShortPollingNotificationSubType = 'new' | 'update' | 'delete' | 'accept' | 'decline' | 'fail';
export declare class ShortPollingNotificationEntity {
    id: string;
    type: ShortPollingNotificationType;
    subType: ShortPollingNotificationSubType;
    notificationObject?: ShortPollingNotificationObject;
    date: Date;
    static fromNotificationDto(dto: ShortPollingNotificationDto, messageOutputType?: ShortPollingNotificationSubType): ShortPollingNotificationEntity;
}
export declare class ShortPollingNotificationDto {
    type: ShortPollingNotificationType;
    notificationObject: ShortPollingNotificationObjectDb;
    status?: ShortPollingNotificationSubType;
    date?: {
        "dateTime": string;
        "timeZone": string;
    };
}
export declare class ShortPollingNotificationContainerDto {
    items: ShortPollingNotificationDto[];
    totalItems: number;
    nextSyncToken: number;
}
