/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ImageEntity } from "./Image";
import { SettingsPeriodWorkingDto, SettingsPeriodWorkingEntity, SettingsWorkingDayDto, SettingsWorkingDayEntity } from "./WorkingHours";
import { FormItemEntity } from "./Form";
export declare class StaffEntity {
    id?: string;
    cipherId?: string;
    userId?: string;
    company?: {
        id: string;
        name?: string;
    };
    firstName?: string;
    lastName?: string;
    gender?: string;
    title?: string;
    email?: string;
    phone?: string;
    otherPhone?: string;
    description?: string;
    vacations?: {
        startDate?: Date;
        endDate?: Date;
    }[];
    role?: string;
    workingHours?: SettingsWorkingDayEntity[];
    customWorkingHours?: SettingsPeriodWorkingEntity[];
    picture?: ImageEntity;
    servicesSkill?: string[];
    color?: string;
    availableForWidget: boolean;
    externalId?: string;
    additionalFields?: FormItemEntity[];
    externalCalendars?: {
        url: string;
    }[];
    calendarLink?: {
        mineType: string;
        url: string;
    };
    fullName(): string;
    static fromStaffDto(dto: StaffDto): StaffEntity;
    static toStaffDto(entity: StaffEntity): StaffDto;
}
export declare class StaffDto {
    id?: string;
    cipherId?: string;
    company?: {
        id: string;
        name?: string;
    };
    firstName?: string;
    lastName?: string;
    gender?: string;
    title?: string;
    email?: string;
    phone?: string;
    otherPhone?: string;
    description?: string;
    vacations?: {
        startDate?: string;
        endDate?: string;
    }[];
    role?: string;
    workingHours?: SettingsWorkingDayDto[];
    customWorkingHours?: SettingsPeriodWorkingDto[];
    picture?: ImageEntity;
    services?: {
        id: string;
    }[];
    color?: string;
    availableForWidget: boolean;
    externalId?: string;
    additionalFields?: FormItemEntity[];
    externalCalendars?: {
        url: string;
    }[];
    calendarLink?: {
        mineType: string;
        url: string;
    };
}
