/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ImageEntity } from "./Image";
import { GlobalRight } from "./Rights";
export declare class UserEntity {
    id?: string;
    firstName?: string;
    lastName?: string;
    picture?: ImageEntity;
    anonymous: boolean;
    color?: string;
    login?: string;
    checkFilterColor?: string;
    companies?: {
        companyId?: string;
        companyName?: string;
        staffIds?: string[];
        role?: string;
        rights?: GlobalRight[];
    }[];
    staffIds?: string[];
    accounts?: {
        id?: string;
        email?: string;
        name?: string;
    }[];
    static fromUserDto(dto: UserDto | UserLightDto): UserEntity;
    static fromUserLightDto(dto: UserLightDto): UserEntity;
}
export declare class UserDto {
    id?: string;
    firstName: string;
    lastName: string;
    picture?: ImageEntity;
    login?: string;
    companies?: [
        {
            companyId?: string;
            companyName?: string;
            staffIds?: string[];
            role?: string;
            rights?: GlobalRight[];
        }
    ];
    accounts?: [
        {
            id?: string;
            email?: string;
            name?: string;
        }
    ];
}
export declare class UserLightDto {
    i?: string;
    f: string;
    l: string;
    p?: {
        u: string;
        m: string;
    };
    e?: string;
    c?: [
        {
            i?: string;
            n?: string;
            s?: string[];
            r?: string;
            a?: GlobalRight[];
        }
    ];
}
