export declare class SettingsPeriodWorkingEntity {
    name: string;
    startPeriod: {
        dateTime: string;
        timeZone: string;
    };
    endPeriod: {
        dateTime: string;
        timeZone: string;
    };
    monday?: SettingsPeriodWorkingDayEntity[];
    tuesday?: SettingsPeriodWorkingDayEntity[];
    wednesday?: SettingsPeriodWorkingDayEntity[];
    thursday?: SettingsPeriodWorkingDayEntity[];
    friday?: SettingsPeriodWorkingDayEntity[];
    saturday?: SettingsPeriodWorkingDayEntity[];
    sunday?: SettingsPeriodWorkingDayEntity[];
    static fromSettingsPeriodWorkingDto(dto: SettingsPeriodWorkingDto): SettingsPeriodWorkingEntity;
    static toSettingsPeriodWorkingDto(entity: SettingsPeriodWorkingEntity): SettingsPeriodWorkingDto;
}
export declare class SettingsPeriodWorkingDayEntity {
    service?: {
        name: string;
        id: string;
    };
    start: string;
    end: string;
    static fromSettingsPeriodWorkingDayDto(dto: SettingsPeriodWorkingDayDto): SettingsPeriodWorkingDayEntity;
    static toSettingsPeriodWorkingDayDto(entity: SettingsPeriodWorkingDayEntity): SettingsPeriodWorkingDayDto;
}
export declare class CalendarWorkingDayEntity {
    day: Date;
    hours: CalendarWorkingHourEntity[];
    static fromCalendarWorkingDayDto(dto: CalendarWorkingDayDto, timeZone: string): CalendarWorkingDayEntity;
}
export declare class SettingsWorkingDayEntity {
    day: string;
    hours: SettingsWorkingHoursEntity[];
    static fromSettingsWorkingDayDto(dto: SettingsWorkingDayDto): SettingsWorkingDayEntity;
    static toSettingsWorkingDayDto(dto: SettingsWorkingDayEntity): SettingsWorkingDayDto;
}
export declare class SettingsWorkingHoursEntity {
    start: string;
    end: string;
    static fromSettingsWorkingHoursDto(dto: SettingsWorkingHoursDto): SettingsWorkingHoursEntity;
    static toSettingsWorkingHoursDto(entity: SettingsWorkingHoursEntity): SettingsWorkingHoursDto;
}
export declare class CalendarWorkingHourEntity {
    start: Date;
    end: Date;
    static fromCalendarWorkingHoursDto(dto: CalendarWorkingHoursDto, day: string, timeZone: string): CalendarWorkingHourEntity;
}
export declare class SettingsPeriodWorkingDto {
    name: string;
    startPeriod: {
        dateTime: string;
        timeZone: string;
    };
    endPeriod: {
        dateTime: string;
        timeZone: string;
    };
    monday?: SettingsPeriodWorkingDayDto[];
    tuesday?: SettingsPeriodWorkingDayDto[];
    wednesday?: SettingsPeriodWorkingDayDto[];
    thursday?: SettingsPeriodWorkingDayDto[];
    friday?: SettingsPeriodWorkingDayDto[];
    saturday?: SettingsPeriodWorkingDayDto[];
    sunday?: SettingsPeriodWorkingDayDto[];
}
export declare class SettingsPeriodWorkingDayDto {
    service?: {
        name: string;
        id: string;
    };
    start: string;
    end: string;
}
export declare class CalendarWorkingDayDto {
    day: string;
    hours: CalendarWorkingHoursDto[];
}
export declare class CalendarWorkingHoursDto {
    start: string;
    end: string;
}
export declare class SettingsWorkingDayDto {
    day: string;
    hours: SettingsWorkingHoursDto[];
}
export declare class SettingsWorkingHoursDto {
    start: string;
    end: string;
}
