export declare enum DashboardKey {
    KEY_FIGURES = "keyFigures",
    PENDING_TASKS = "pendingTasks",
    QUICK_ACCESS = "quickAccess",
    LAST_CLIENTS = "lastContacts",
    UPCOMING_EVENTS = "upcomingEvents"
}
export declare enum DashboardType {
    CONTACT = "contact",
    SCHEDULING = "scheduling",
    SETTINGS = "settings",
    WORKING_PLANNING = "workingPlanning"
}
export declare class DashboardStructureEntity {
    id: string;
    widgets: DashboardWidgetEntity[];
    static fromDashboardStructureDto(dto: DashboardStructureDto): DashboardStructureEntity;
}
export declare class DashboardWidgetEntity {
    key?: DashboardKey;
    acls?: [];
    types?: DashboardType[];
    position?: {
        column: number;
        row: number;
    };
    props?: any;
    static fromDashboardWidgetDto(dto: DashboardWidgetDto): DashboardWidgetEntity;
}
export declare class DashboardStructureDto {
    widgets?: DashboardWidgetDto[];
}
export declare class DashboardWidgetDto {
    key?: DashboardKey;
    acls?: [];
    types?: DashboardType[];
    position?: {
        column: number;
        row: number;
    };
    props?: any;
}
