export declare class WorkingPlanningEntity {
    company: CompanyLight;
    days?: WorkingPlanningDayEntity[] | Map<'monday' | 'tuesday' | 'wednesday' | 'thursday' | 'friday' | 'saturday' | 'sunday', PeriodWithOccupancy[]>;
    planningId?: string;
    planningStartWeek?: number;
    start?: Date;
    end?: Date;
    saveMode?: 'replace' | 'merge';
    static fromWorkingPlanningDto(dto: WorkingPlanningDto): StaffWorkingPlanningEntity;
    static toWorkingPlanningDto(entity: StaffWorkingPlanningEntity): PostWorkingPlanningDto;
}
export declare class StaffWorkingPlanningEntity extends WorkingPlanningEntity {
    user: UserLight;
    staffId: string;
}
export declare class WorkingPlanningDayEntity {
    date: Date;
    hours: PeriodWithOccupancy[];
    occupancyRate?: OccupancyRateEntity;
    durationInMinutes: number;
    isOnVacation: boolean;
    static fromWorkingPlanningDayDto(dto: WorkingPlanningDayDto): WorkingPlanningDayEntity;
    static toWorkingPlanningDayDto(entity: Map<'monday' | 'tuesday' | 'wednesday' | 'thursday' | 'friday' | 'saturday' | 'sunday', PeriodWithOccupancy[]>): {
        monday?: PeriodWithOccupancy[];
        tuesday?: PeriodWithOccupancy[];
        wednesday?: PeriodWithOccupancy[];
        thursday?: PeriodWithOccupancy[];
        friday?: PeriodWithOccupancy[];
        saturday?: PeriodWithOccupancy[];
        sunday?: PeriodWithOccupancy[];
    };
}
export declare class OccupancyRateEntity {
    total: number;
    pro: number;
    perso: number;
    external: number;
    constructor(dto?: OccupancyRateDto);
}
export declare class WorkingPlanningItemsDto {
    items: WorkingPlanningDto[];
}
export declare class WorkingPlanningDto {
    objectOwner?: ObjectOwner;
    company?: CompanyLight;
    days?: WorkingPlanningDayDto[];
    planningId?: string;
    planningStartWeek?: number;
    start?: string;
    end?: string;
    saveMode?: 'merge' | 'replace';
}
export declare class PostWorkingPlanningDto {
    objectOwner?: ObjectOwner;
    objectOwners?: ObjectOwner[];
    company?: CompanyLight;
    companyId?: string;
    days?: {
        monday?: PeriodWithOccupancy[];
        tuesday?: PeriodWithOccupancy[];
        wednesday?: PeriodWithOccupancy[];
        thursday?: PeriodWithOccupancy[];
        friday?: PeriodWithOccupancy[];
        saturday?: PeriodWithOccupancy[];
        sunday?: PeriodWithOccupancy[];
    };
    planningId?: string;
    planningStartWeek?: number;
    start?: string;
    end?: string;
    saveMode?: 'merge' | 'replace';
}
declare class WorkingPlanningDayDto {
    date: string;
    hours: PeriodWithOccupancy[];
    occupancyRate?: OccupancyRateDto;
    duration: string;
    isOnVacation?: boolean;
}
declare class OccupancyRateDto {
    total?: number;
    pro?: number;
    perso?: number;
    external?: number;
}
export declare class PeriodWithOccupancy {
    start: string;
    end: string;
    occupancyRate?: number;
}
export declare class ObjectOwner {
    id: string;
    name?: string;
    type?: 'staff';
    properties?: {
        userId: string;
        firstName: string;
        lastName: string;
        email: string;
    };
}
export declare class CompanyLight {
    id: string;
    name: string;
    static fromCompanyDto(company: CompanyLight): CompanyLight;
}
export declare class UserLight {
    id: string;
    firstName: string;
    lastName: string;
    email: string;
    static fromPropertiesDto(user: {
        userId: string;
        firstName: string;
        lastName: string;
        email: string;
    }): UserLight;
}
export {};
