import { ShortPollingNotificationObject, ShortPollingNotificationObjectDb } from "./ShortPollingNotificationObject";
export declare class ShortPollingNotificationEvent extends ShortPollingNotificationObject {
    id: string;
    type: string;
    owner: {
        userName: string;
    };
    start: Date;
    end: Date;
    staff: {
        id: string;
        firstName: string;
        lastName: string;
    };
    service: string;
    company?: {
        id: string;
        name?: string;
    };
    client: {
        id: string;
        firstName: string;
        lastName: string;
    };
    status: string;
    constructor(dto: ShortPollingNotificationEventDb);
}
export declare class ShortPollingNotificationEventDb extends ShortPollingNotificationObjectDb {
    id: string;
    type: string;
    owner: {
        userName: string;
    };
    start: {
        "dateTime": string;
        "timeZone": string;
    };
    end: {
        "dateTime": string;
        "timeZone": string;
    };
    staff: {
        id: string;
        firstName?: string;
        lastName?: string;
    };
    service: string;
    company?: {
        id: string;
        name: string;
    };
    client: {
        id: string;
        firstName?: string;
        lastName?: string;
    };
    status: string;
}
