/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { IndexedDb } from './index';
import { CalendarTeamEntity } from "../data/Calendar";
export declare class CalendarTeamDb {
    private indexedDb;
    private readonly table;
    constructor(indexedDb: IndexedDb, table?: string);
    getAllTeams(): Promise<CalendarTeamEntity[]>;
    saveAllTeams(teams: CalendarTeamEntity[]): Promise<void>;
    getById(teamId: string): Promise<CalendarTeamEntity>;
    deleteById(teamId: string): Promise<void>;
    drop(): Promise<void>;
}
