/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEntity } from '../index';
import { IndexedDb } from './index';
export declare class EventDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    saveAllEvents(events: EventEntity[]): Promise<void>;
    saveEvent(event: EventEntity): Promise<void>;
    deleteEvent(eventId: string): Promise<void>;
    deleteByEventIds(eventIds: string[]): Promise<void>;
    getAllEvents(account?: string, userIds?: string[], start?: Date, end?: Date): Promise<EventEntity[]>;
    getFirstEventByChildEventId(eventChildId: string): Promise<EventEntity | undefined>;
    getById(objectId: string): Promise<EventEntity>;
    drop(): Promise<void>;
}
