/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { IndexedDb } from './index';
import { ServiceResourceEntity } from "../data/ServiceResource";
export declare class ServiceResourceDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getAllServiceResources(companyId: string): Promise<ServiceResourceEntity[]>;
    saveAllServiceResources(resources: ServiceResourceEntity[]): Promise<void>;
    getById(companyId: string, serviceResourceId: string): Promise<ServiceResourceEntity>;
    deleteById(companyId: string, serviceResourceId: string): Promise<void>;
    deleteByServiceIds(serviceResourceIds: string[]): Promise<void>;
    drop(): Promise<void>;
}
