import { QUERY_RESULT, QUERY_TYPE, Repository } from "./index";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
import { CRMSettingsEntity } from "../data/CRMSettings";
interface Args {
    account: string;
}
export declare class CRMSettingsRepository extends Repository<CRMSettingsEntity, Args> {
    private crmSettingsDb;
    private crmSettingsService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getCRMSettings(bearer: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<CRMSettingsEntity>>;
    protected remoteGet(bearer: string, args: Args): Promise<CRMSettingsEntity>;
    protected remoteList(bearer: string, args: Args): Promise<CRMSettingsEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: CRMSettingsEntity): Promise<CRMSettingsEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: CRMSettingsEntity): Promise<CRMSettingsEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<CRMSettingsEntity[]>;
    protected localGet(args: Args): Promise<CRMSettingsEntity>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkSave(args: Args, items: CRMSettingsEntity[]): Promise<void>;
    protected localBulkDelete(items: CRMSettingsEntity[]): Promise<void>;
}
export {};
