import { Repository } from "./index";
import { AdditionalFieldsEntity } from "../data/Contact";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
}
export declare class AdditionalFieldsRepository extends Repository<AdditionalFieldsEntity, Args> {
    private additionalFieldsService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAdditionalFields(bearer: string, account: string): Promise<AdditionalFieldsEntity>;
    protected localBulkDelete(items: AdditionalFieldsEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: AdditionalFieldsEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<AdditionalFieldsEntity>;
    protected localList(args: Args): Promise<AdditionalFieldsEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: AdditionalFieldsEntity): Promise<AdditionalFieldsEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<AdditionalFieldsEntity>;
    protected remoteList(bearer: string, args: Args): Promise<AdditionalFieldsEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: AdditionalFieldsEntity): Promise<AdditionalFieldsEntity>;
}
export {};
