import { QUERY_RESULT, Repository } from './index';
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
import { ChangelogEntity } from "../data/Changelog";
interface Args {
    account: string;
    changeLogId?: string;
}
export declare class ChangelogRepository extends Repository<ChangelogEntity, Args> {
    private changelogService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getChangelog(bearer: string, account: string, changeLogId: string): Promise<QUERY_RESULT<ChangelogEntity>>;
    protected localBulkDelete(items: ChangelogEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: ChangelogEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<ChangelogEntity>;
    protected localList(args: Args): Promise<ChangelogEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: ChangelogEntity): Promise<ChangelogEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<ChangelogEntity>;
    protected remoteList(bearer: string, args: Args): Promise<ChangelogEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: ChangelogEntity): Promise<ChangelogEntity>;
}
export {};
