/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Repository } from "./index";
import { Logger } from '../index';
import { AuthenticationService } from "../service/authenticationService";
import { CompanyPerformanceEntity } from "../data/CompanyPerformance";
interface Args {
}
export declare class CompanyPerformanceRepository extends Repository<CompanyPerformanceEntity, Args> {
    private companyPerformanceService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getPerformance(bearer: string, account: string, companyId: string): Promise<CompanyPerformanceEntity>;
    protected localBulkDelete(items: CompanyPerformanceEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: CompanyPerformanceEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<CompanyPerformanceEntity>;
    protected localList(args: Args): Promise<CompanyPerformanceEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: CompanyPerformanceEntity): Promise<CompanyPerformanceEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<CompanyPerformanceEntity>;
    protected remoteList(bearer: string, args: Args): Promise<CompanyPerformanceEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: CompanyPerformanceEntity): Promise<CompanyPerformanceEntity>;
}
export {};
