import { IndexedDb } from '../db';
import { CompanyEntity, Logger, QUERY_TYPE } from '../index';
import { QUERY_RESULT, Repository } from './index';
import { AuthenticationService } from "../service/authenticationService";
interface Args {
    account?: string;
    companyId?: string;
}
export declare class CompanyRepository extends Repository<CompanyEntity, Args> {
    private companyDb;
    private companyService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllCompanies(bearer: string, account?: string, mode?: QUERY_TYPE): Promise<import("./index").QUERY_RESULTS<CompanyEntity>>;
    getCompany(bearer: string, account: string, companyId: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<CompanyEntity>>;
    createCompany(bearer: string, account: string, company: CompanyEntity): Promise<CompanyEntity>;
    cloneCompany(bearer: string, account: string, clonedCompanyId: string, company: CompanyEntity): Promise<CompanyEntity>;
    updateCompany(bearer: string, account: string, companyId: string, company: CompanyEntity): Promise<CompanyEntity>;
    deleteCompany(bearer: string, account: string, companyId: string): Promise<void>;
    protected remoteList(bearer: string, args: Args): Promise<CompanyEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<CompanyEntity>;
    protected remoteCreate(bearer: string, args: Args, item: CompanyEntity): Promise<CompanyEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: CompanyEntity): Promise<CompanyEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<CompanyEntity[]>;
    protected localGet(args: Args): Promise<CompanyEntity>;
    protected localBulkSave(args: Args, companies: CompanyEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: CompanyEntity[]): Promise<void>;
    private checkNullable;
}
export {};
