import { QUERY_RESULT, QUERY_RESULTS, QUERY_TYPE, Repository } from "./index";
import { ConferenceTagEntity } from "../data/conference/Conference";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
    tagId?: string;
}
export declare class ConferenceTagRepository extends Repository<ConferenceTagEntity, Args> {
    private conferenceTagDb;
    private conferenceTagService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllConferenceTags(bearer: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULTS<ConferenceTagEntity>>;
    getConferenceTag(bearer: string, account: string, tagId: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<ConferenceTagEntity>>;
    createConferenceTag(bearer: string, account: string, tag: ConferenceTagEntity): Promise<ConferenceTagEntity>;
    updateConferenceTag(bearer: string, account: string, tagId: string, tag: ConferenceTagEntity): Promise<ConferenceTagEntity>;
    deleteConferenceTag(bearer: string, account: string, tagId: string): Promise<void>;
    protected localBulkDelete(items: ConferenceTagEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: ConferenceTagEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<ConferenceTagEntity>;
    protected localList(args: Args): Promise<ConferenceTagEntity[]>;
    protected remoteCreate(bearer: string, args: Args, tagEntity: ConferenceTagEntity): Promise<ConferenceTagEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<ConferenceTagEntity>;
    protected remoteList(bearer: string, args: Args): Promise<ConferenceTagEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, tagEntity: ConferenceTagEntity): Promise<ConferenceTagEntity>;
    private checkNullable;
}
export {};
