import { QUERY_RESULTS, QUERY_TYPE, Repository } from './index';
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
import { ConnectorEntity } from "../data/Connector";
interface Args {
    organisation: string;
    locale?: string;
}
export declare class ConnectorsRepository extends Repository<ConnectorEntity, Args> {
    private connectorsService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getConnectors(bearer: string, organisation: string, locale: string, mode?: QUERY_TYPE): Promise<QUERY_RESULTS<ConnectorEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<ConnectorEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<ConnectorEntity>;
    protected remoteCreate(bearer: string, args: Args, item: ConnectorEntity): Promise<ConnectorEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: ConnectorEntity): Promise<ConnectorEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<ConnectorEntity[]>;
    protected localGet(args: Args): Promise<ConnectorEntity>;
    protected localBulkSave(args: Args, items: ConnectorEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: ConnectorEntity[]): Promise<void>;
    private checkNullable;
}
export {};
