import { ContactEntity, Logger } from '../index';
import { QUERY_RESULT, QUERY_RESULTS, Repository } from './index';
import { AuthenticationService } from "../service/authenticationService";
interface Args {
    account: string;
    query?: string;
    sort?: string;
    contactId?: string;
}
export declare class ContactExternalRepository extends Repository<ContactEntity, Args> {
    private contactService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    searchContacts(bearer: string, account: string | undefined, query: string, sort?: string): Promise<QUERY_RESULTS<ContactEntity>>;
    getContact(bearer: string, account: string, contactId: string): Promise<QUERY_RESULT<ContactEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<ContactEntity[]>;
    protected localList(args: Args): Promise<ContactEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<ContactEntity>;
    protected remoteCreate(bearer: string, args: Args, item: ContactEntity): Promise<ContactEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: ContactEntity): Promise<ContactEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localGet(args: Args): Promise<ContactEntity>;
    protected localBulkSave(args: Args, items: ContactEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: ContactEntity[]): Promise<void>;
}
export {};
