import { QUERY_TYPE, Repository } from "./index";
import { DashboardStructureEntity } from "../data/dashboard/DashboardStructure";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
}
export declare class DashboardStructureRepository extends Repository<DashboardStructureEntity, Args> {
    private dashboardStructureDb;
    private dashboardStructureService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getDashboardStructure(bearer: string, account: string, mode?: QUERY_TYPE): Promise<import("./index").QUERY_RESULT<DashboardStructureEntity>>;
    protected localBulkDelete(items: DashboardStructureEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: DashboardStructureEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<DashboardStructureEntity>;
    protected localList(args: Args): Promise<DashboardStructureEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: DashboardStructureEntity): Promise<DashboardStructureEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<DashboardStructureEntity>;
    protected remoteList(bearer: string, args: Args): Promise<DashboardStructureEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: DashboardStructureEntity): Promise<DashboardStructureEntity>;
}
export {};
