import { KeyFigures, KeyFigureType } from "../data/dashboard/KeyFigures";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
import { Repository } from "./index";
export declare class DashboardRepository extends Repository<any, any> {
    private dashboardService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getKeyFigures(bearer: string, account: string, types: KeyFigureType[], range: string): Promise<KeyFigures>;
    protected localBulkDelete(items: any[]): Promise<void>;
    protected localBulkSave(args: any, items: any[]): Promise<void>;
    protected localDelete(args: any): Promise<void>;
    protected localGet(args: any): Promise<any>;
    protected localList(args: any): Promise<any[]>;
    protected remoteCreate(bearer: string, args: any, item: any): Promise<any>;
    protected remoteDelete(bearer: string, args: any): Promise<void>;
    protected remoteGet(bearer: string, args: any): Promise<any>;
    protected remoteList(bearer: string, args: any): Promise<any[]>;
    protected remoteUpdate(bearer: string, args: any, item: any): Promise<any>;
}
