import { Repository } from "./index";
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
import { ReportingExportResponseEntity } from "../data/ReportingExportResponse";
import { ReportingExportBodyEntity } from "../data/ReportingExportBody";
interface Args {
    account: string;
}
export declare class ExportAppointmentsRepository extends Repository<any, any> {
    private exportAppointmentsService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    generateAppointmentsExport(bearer: string, account: string, body: ReportingExportBodyEntity): Promise<ReportingExportResponseEntity>;
    getExport(bearer: string, account: string, exportId: string, filename: string): Promise<void>;
    protected localDelete(args: any): Promise<void>;
    protected localGet(args: any): Promise<void>;
    protected localList(args: any): Promise<void[]>;
    protected remoteCreate(bearer: string, args: any, item: any): Promise<void>;
    protected remoteDelete(bearer: string, args: any): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<void>;
    protected remoteList(bearer: string, args: any): Promise<void[]>;
    protected remoteUpdate(bearer: string, args: any, item: any): Promise<void>;
    protected localBulkDelete(items: any[]): Promise<void>;
    protected localBulkSave(args: any, items: any[]): Promise<void>;
}
export {};
