import { Repository } from "./index";
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
    userIds?: string[];
    companyIds?: string[];
    startDate: Date;
    endDate: Date;
    timezone: string;
    showDeleted: boolean;
}
export declare class ExportCalendarRepository extends Repository<any, any> {
    private exportCalendarService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    exportCalendarAsXlsx(bearer: string, account: string, startDate: Date, endDate: Date, timezone: string, showDeleted: boolean, userIds?: string[], companyIds?: string[]): Promise<void>;
    protected localDelete(args: any): Promise<void>;
    protected localGet(args: any): Promise<void>;
    protected localList(args: any): Promise<void[]>;
    protected remoteCreate(bearer: string, args: any, item: any): Promise<void>;
    protected remoteDelete(bearer: string, args: any): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<void>;
    protected remoteList(bearer: string, args: any): Promise<void[]>;
    protected remoteUpdate(bearer: string, args: any, item: any): Promise<void>;
    protected localBulkDelete(items: any[]): Promise<void>;
    protected localBulkSave(args: any, items: any[]): Promise<void>;
}
export {};
