import { QUERY_RESULTS, QUERY_TYPE, Repository } from "./index";
import { FormResultStatusEntity } from "../data/FormResultStatus";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    formId?: string;
    resultId?: string;
    statusId?: string;
    timeZone?: string;
    account?: string;
}
export declare class FormResultStatusRepository extends Repository<FormResultStatusEntity, Args> {
    private formResultStatusService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getStatusByFormResult(bearer: string, formId: string, resultId: string, timeZone: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULTS<FormResultStatusEntity>>;
    addNewStatus(bearer: string, formId: string, resultId: string, status: FormResultStatusEntity, timeZone: string, account: string): Promise<FormResultStatusEntity>;
    protected localBulkDelete(items: FormResultStatusEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: FormResultStatusEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<FormResultStatusEntity>;
    protected localList(args: Args): Promise<FormResultStatusEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: FormResultStatusEntity): Promise<FormResultStatusEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<FormResultStatusEntity>;
    protected remoteList(bearer: string, args: Args): Promise<FormResultStatusEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: FormResultStatusEntity): Promise<FormResultStatusEntity>;
    private checkNullable;
}
export {};
