import { IndexedDb } from '../db';
import { QUERY_RESULT, QUERY_RESULTS, QUERY_TYPE, Repository } from './index';
import { EventEntity } from '../data/Event';
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    eventId?: string;
    userIds?: string;
    start?: string;
    end?: string;
    timeZone?: string;
}
export declare class IcsEventRepository extends Repository<EventEntity, Args> {
    REPOSITORY_NAME: string;
    private icsEventDb;
    private eventService;
    private eventMetaStorage;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getEvent(bearer: string, eventId: string, timeZone?: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<EventEntity>>;
    getEvents(bearer: string, userIds: string[], start: string, end: string, timeZone?: string): Promise<QUERY_RESULTS<EventEntity>>;
    replaceEvents(items: EventEntity[]): Promise<void>;
    protected remoteList(bearer: string, args: Args): Promise<EventEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<EventEntity>;
    protected remoteCreate(bearer: string, args: Args, item: EventEntity): Promise<EventEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: EventEntity): Promise<EventEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<EventEntity[]>;
    protected localGet(args: Args): Promise<EventEntity>;
    protected localBulkSave(args: Args, items: EventEntity[]): Promise<void>;
    protected localDrop(): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: EventEntity[]): Promise<void>;
}
export {};
