import { QUERY_RESULTS, Repository } from "./index";
import { Logger } from "../utils/logger";
import { IntegrationEntity } from "../data/Integration";
import { AuthenticationService } from "../service/authenticationService";
interface Args {
    locale?: string;
    account?: string;
}
export declare class IntegrationsRepository extends Repository<IntegrationEntity, Args> {
    private integrationsService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getIntegrations(bearer: string, locale: string, account: string): Promise<QUERY_RESULTS<IntegrationEntity>>;
    protected localBulkDelete(items: IntegrationEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: IntegrationEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<IntegrationEntity>;
    protected localList(args: Args): Promise<IntegrationEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: IntegrationEntity): Promise<IntegrationEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<IntegrationEntity>;
    protected remoteList(bearer: string, args: Args): Promise<IntegrationEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: IntegrationEntity): Promise<IntegrationEntity>;
}
export {};
