import { IndexedDb } from '../db';
import { QUERY_PAGINATED_RESULT, Repository } from './index';
import { LogEntity } from '../data/Log';
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
    query?: string;
}
export declare class LogRepository extends Repository<LogEntity, Args> {
    private logService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    searchLogWithPages(bearer: string, account: string | undefined, query: string, sort?: string, pageToken?: string): Promise<QUERY_PAGINATED_RESULT<LogEntity>>;
    protected localBulkDelete(items: LogEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: LogEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<LogEntity>;
    protected localList(args: Args): Promise<LogEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: LogEntity): Promise<LogEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<LogEntity>;
    protected remoteList(bearer: string, args: Args): Promise<LogEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: LogEntity): Promise<LogEntity>;
}
export {};
