import { IndexedDb } from '../db';
import { QUERY_RESULTS, QUERY_TYPE, Repository } from './index';
import { Logger, NoteEntity } from '../index';
import { AuthenticationService } from "../service/authenticationService";
interface Args {
    account: string;
    clientId: string;
}
export declare class NoteRepository extends Repository<NoteEntity, Args> {
    private noteDb;
    private noteService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllNotes(bearer: string, account: string, clientId: string, mode?: QUERY_TYPE): Promise<QUERY_RESULTS<NoteEntity>>;
    createClientNote(bearer: string, account: string, clientId: string, note: NoteEntity): Promise<NoteEntity>;
    protected remoteList(bearer: string, args: Args): Promise<NoteEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<NoteEntity>;
    protected remoteCreate(bearer: string, args: Args, item: NoteEntity): Promise<NoteEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: NoteEntity): Promise<NoteEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<NoteEntity[]>;
    protected localGet(args: Args): Promise<NoteEntity>;
    protected localBulkSave(args: Args, items: NoteEntity[]): Promise<void>;
    protected localBulkDelete(items: NoteEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
}
export {};
