import { QUERY_RESULT, QUERY_TYPE, Repository } from "./index";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
import { NotificationEntity } from "../data/Notification";
interface Args {
    account: string;
    companyId: string;
    notificationId: string;
}
export declare class NotificationRepository extends Repository<NotificationEntity, Args> {
    private notificationDb;
    private notificationService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getNotification(bearer: string, account: string, companyId: string, notificationId: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<NotificationEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<NotificationEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<NotificationEntity>;
    protected remoteCreate(bearer: string, args: Args, item: NotificationEntity): Promise<NotificationEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: NotificationEntity): Promise<NotificationEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<NotificationEntity[]>;
    protected localGet(args: Args): Promise<NotificationEntity>;
    protected localBulkSave(args: Args, items: NotificationEntity[]): Promise<void>;
    protected localBulkDelete(items: NotificationEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
}
export {};
