import { QUERY_RESULTS, QUERY_TYPE, Repository } from "./index";
import { PromoteFieldEntity } from "../data/Contact";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
    promoteFieldId?: string;
}
export declare class PromoteFieldRepository extends Repository<PromoteFieldEntity, Args> {
    private promoteFieldDb;
    private promoteFieldService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllPromoteFields(bearer: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULTS<PromoteFieldEntity>>;
    protected localBulkDelete(items: PromoteFieldEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: PromoteFieldEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<PromoteFieldEntity>;
    protected localList(args: Args): Promise<PromoteFieldEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: PromoteFieldEntity): Promise<PromoteFieldEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<PromoteFieldEntity>;
    protected remoteList(bearer: string, args: Args): Promise<PromoteFieldEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: PromoteFieldEntity): Promise<PromoteFieldEntity>;
}
export {};
