import { Repository } from "./index";
import { Logger } from '../index';
import { AuthenticationService } from "../service/authenticationService";
import { UserSchedulesEntity } from "../data/scheduling/schedule/UserSchedules";
interface Args {
    organisation?: string;
    start?: string;
    end?: string;
}
export declare class ScheduleRepository extends Repository<UserSchedulesEntity, Args> {
    private scheduleService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getSchedules(bearer: string, organisation: string, start: string, end: string): Promise<import("./index").QUERY_RESULTS<UserSchedulesEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<UserSchedulesEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<UserSchedulesEntity>;
    protected remoteCreate(bearer: string, args: Args, item: UserSchedulesEntity): Promise<UserSchedulesEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: UserSchedulesEntity): Promise<UserSchedulesEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<UserSchedulesEntity[]>;
    protected localBulkSave(args: Args, calendars: UserSchedulesEntity[]): Promise<void>;
    protected localGet(args: Args): Promise<UserSchedulesEntity>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: UserSchedulesEntity[]): Promise<void>;
}
export {};
