import { Repository } from "./index";
import { SchedulingRightsEntity } from "../data/scheduling/SchedulingRights";
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    organisation: string;
    userId?: string;
}
export declare class SchedulingRightsRepository extends Repository<SchedulingRightsEntity, Args> {
    private schedulingRightsService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getSchedulingRightsByUser(bearer: string, organisation: string, userId: string): Promise<SchedulingRightsEntity>;
    updateSchedulingRights(bearer: string, organisation: string, userId: string, rights: SchedulingRightsEntity): Promise<SchedulingRightsEntity>;
    getSchedulingRights(bearer: string, organisation: string): Promise<SchedulingRightsEntity[]>;
    protected localBulkDelete(items: SchedulingRightsEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: SchedulingRightsEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<SchedulingRightsEntity>;
    protected localList(args: Args): Promise<SchedulingRightsEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: SchedulingRightsEntity): Promise<SchedulingRightsEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<SchedulingRightsEntity>;
    protected remoteList(bearer: string, args: Args): Promise<SchedulingRightsEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: SchedulingRightsEntity): Promise<SchedulingRightsEntity>;
}
export {};
