import { IndexedDb } from '../db';
import { QUERY_RESULT, QUERY_TYPE, Repository } from './index';
import { SettingsEntity } from '../data/Settings';
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
}
export declare class SettingsRepository extends Repository<SettingsEntity, Args> {
    private settingsDb;
    private settingsService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    dispose(): void;
    getSettings(bearer: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<SettingsEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<SettingsEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<SettingsEntity>;
    protected remoteCreate(bearer: string, args: Args, item: SettingsEntity): Promise<SettingsEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: SettingsEntity): Promise<SettingsEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<SettingsEntity[]>;
    protected localGet(args: Args): Promise<SettingsEntity>;
    protected localBulkSave(args: Args, settings: SettingsEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: SettingsEntity[]): Promise<void>;
    private checkNullable;
}
export {};
