import { QUERY_PAGINATED_RESULT, Repository } from "./index";
import { ShortPollingNotificationEntity } from "../data/ShortPollingNotification";
import { ShortPollingNotificationScope } from "../service/shortPollingNotificationService";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account?: string;
    syncToken?: string;
    scope?: ShortPollingNotificationScope[];
    notificationId?: string;
}
export declare class ShortPollingNotificationRepository extends Repository<ShortPollingNotificationEntity, Args> {
    private notificationDb;
    private notificationService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllNotifications(bearer: string, account: string, syncToken?: number, scope?: ShortPollingNotificationScope[]): Promise<QUERY_PAGINATED_RESULT<ShortPollingNotificationEntity>>;
    getLocalNotifications(): Promise<ShortPollingNotificationEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: ShortPollingNotificationEntity): Promise<ShortPollingNotificationEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<ShortPollingNotificationEntity>;
    protected remoteList(bearer: string, args: Args): Promise<ShortPollingNotificationEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: ShortPollingNotificationEntity): Promise<ShortPollingNotificationEntity>;
    protected localBulkDelete(items: ShortPollingNotificationEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: ShortPollingNotificationEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<ShortPollingNotificationEntity>;
    protected localList(args: Args): Promise<ShortPollingNotificationEntity[]>;
    private checkNullable;
}
export {};
