/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Repository } from './index';
import { Logger } from '../index';
import { AuthenticationService } from "../service/authenticationService";
import { ShortenerEntity } from "../data/Shortener";
interface Args {
    url: string;
}
export declare class ShortenerRepository extends Repository<ShortenerEntity, Args> {
    private shortenerService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    shorten(bearer: string, url: string): Promise<ShortenerEntity>;
    protected remoteList(bearer: string, args: Args): Promise<ShortenerEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<ShortenerEntity>;
    protected remoteCreate(bearer: string, args: Args, item: ShortenerEntity): Promise<ShortenerEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: ShortenerEntity): Promise<ShortenerEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<ShortenerEntity[]>;
    protected localGet(args: Args): Promise<ShortenerEntity>;
    protected localBulkSave(args: Args, items: ShortenerEntity[]): Promise<void>;
    protected localBulkDelete(items: ShortenerEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    private checkNullable;
}
export {};
