/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { IndexedDb } from '../db';
import { QUERY_RESULT, QUERY_TYPE, Repository } from './index';
import { AuthenticationService } from "../service/authenticationService";
import { StaffFormsEntity } from "../data/StaffForms";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
}
export declare class StaffFormsRepository extends Repository<StaffFormsEntity, Args> {
    private staffFormsDb;
    private staffFormsService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getByAccount(bearer: string, account: string, mode?: QUERY_TYPE): Promise<QUERY_RESULT<StaffFormsEntity>>;
    protected remoteList(bearer: string, args: Args): Promise<StaffFormsEntity[]>;
    protected remoteGet(bearer: string, args: Args): Promise<StaffFormsEntity>;
    protected remoteCreate(bearer: string, args: Args, item: StaffFormsEntity): Promise<StaffFormsEntity>;
    protected remoteUpdate(bearer: string, args: Args, item: StaffFormsEntity): Promise<StaffFormsEntity>;
    remoteDelete(bearer: string, args: Args): Promise<void>;
    protected localList(args: Args): Promise<StaffFormsEntity[]>;
    protected localGet(args: Args): Promise<StaffFormsEntity>;
    protected localBulkSave(args: Args, items: StaffFormsEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localBulkDelete(items: StaffFormsEntity[]): Promise<void>;
}
export {};
