import { QUERY_RESULTS, Repository } from "./index";
import { ContactTagEntity } from "../data/Contact";
import { AuthenticationService } from "../service/authenticationService";
import { IndexedDb } from "../db";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
}
export declare class TagRepository extends Repository<ContactTagEntity, Args> {
    private tagService;
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    getAllTags(bearer: string, account: string): Promise<QUERY_RESULTS<ContactTagEntity>>;
    protected localBulkDelete(items: ContactTagEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: ContactTagEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<ContactTagEntity>;
    protected localList(args: Args): Promise<ContactTagEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: ContactTagEntity): Promise<ContactTagEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<ContactTagEntity>;
    protected remoteList(bearer: string, args: Args): Promise<ContactTagEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: ContactTagEntity): Promise<ContactTagEntity>;
}
export {};
