/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { UserDb } from "../db/userDb";
import { IndexedDb } from '../db';
import { Logger, QUERY_TYPE } from '../index';
import { AuthenticationService } from "../service/authenticationService";
import { CalendarTeamDb } from "../db/calendarTeamDb";
import { UserAbstractRepository } from "./userAbstractRepository";
export declare class UserDefaultRepository extends UserAbstractRepository {
    constructor(authenticationService: AuthenticationService, indexedDb: IndexedDb, baseURL: string, logger?: Logger);
    protected initTeamDb(indexedDb: IndexedDb): CalendarTeamDb;
    protected initUserDb(indexedDb: IndexedDb): UserDb;
    getAllUsers(bearer: string, organisation?: string, mode?: QUERY_TYPE): Promise<import("./index").QUERY_RESULTS<import("../index").UserEntity>>;
}
