import { Repository } from "./index";
import { StaffWorkingPlanningEntity, WorkingPlanningEntity } from "../data/scheduling/WorkingPlanning";
import { AuthenticationService } from "../service/authenticationService";
import { Logger } from "../utils/logger";
interface Args {
    account: string;
    companyId?: string;
    start?: Date;
    end?: Date;
    withOccupancy?: boolean;
}
export declare class WorkingPlanningRepository extends Repository<WorkingPlanningEntity, Args> {
    private workingPlanningService;
    constructor(authenticationService: AuthenticationService, baseURL: string, logger?: Logger);
    getAllCompanyWorkingPlannings(bearer: string, account: string, companyId: string, start: Date, end: Date, withOccupancy: boolean): Promise<StaffWorkingPlanningEntity[]>;
    createWorkingPlanning(bearer: string, account: string, workingPlanning: WorkingPlanningEntity): Promise<WorkingPlanningEntity>;
    protected localBulkDelete(items: WorkingPlanningEntity[]): Promise<void>;
    protected localBulkSave(args: Args, items: WorkingPlanningEntity[]): Promise<void>;
    protected localDelete(args: Args): Promise<void>;
    protected localGet(args: Args): Promise<WorkingPlanningEntity>;
    protected localList(args: Args): Promise<WorkingPlanningEntity[]>;
    protected remoteCreate(bearer: string, args: Args, item: StaffWorkingPlanningEntity): Promise<WorkingPlanningEntity>;
    protected remoteDelete(bearer: string, args: Args): Promise<void>;
    protected remoteGet(bearer: string, args: Args): Promise<WorkingPlanningEntity>;
    protected remoteList(bearer: string, args: Args): Promise<StaffWorkingPlanningEntity[]>;
    protected remoteUpdate(bearer: string, args: Args, item: WorkingPlanningEntity): Promise<WorkingPlanningEntity>;
}
export {};
