/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import HttpClient from './index';
import { CompanyDto } from '../data/Company';
export declare class CompanyService extends HttpClient {
    getAllCompanies(bearer: string, account?: string): Promise<CompanyDto[]>;
    getById(bearer: string, account: string, companyId: string): Promise<CompanyDto>;
    createCompany(bearer: string, account: string, company: CompanyDto): Promise<CompanyDto>;
    cloneCompany(bearer: string, account: string, clonedCompanyId: string, company: CompanyDto): Promise<CompanyDto>;
    updateCompany(bearer: string, account: string, companyId: string, company: CompanyDto): Promise<CompanyDto>;
    delete(bearer: string, account: string, companyId: string): Promise<boolean>;
    protected filteredDataLog(data: any): any;
}
