/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import HttpClient from './index';
import { ConferenceSpeakerDto } from "../data/conference/Conference";
export declare class ConferenceSpeakerService extends HttpClient {
    private static URLS;
    static getApiPath(method: 'LIST' | 'POST' | 'GET' | 'DELETE' | 'PUT', query: {
        conferenceId: string;
        speakerId?: string;
    }): string;
    getConferenceSpeakers(bearer: string, account: string | undefined, conferenceId: string): Promise<ConferenceSpeakerDto[]>;
    createConferenceSpeaker(bearer: string, account: string, conferenceId: string, speakerDto: ConferenceSpeakerDto): Promise<ConferenceSpeakerDto>;
    updateConferenceSpeaker(bearer: string, account: string, conferenceId: string, speakerId: string, speakerDto: ConferenceSpeakerDto): Promise<ConferenceSpeakerDto>;
    getById(bearer: string, account: string, conferenceId: string, speakerId: string): Promise<ConferenceSpeakerDto>;
    deleteBy(bearer: string, account: string, conferenceId: string, speakerId: string): Promise<void>;
    protected filteredDataLog(data: any): any;
}
