/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import HttpClient from './index';
import { PlanningDto } from "../data/planning/Planning";
export declare class PlanningService extends HttpClient {
    getAllPlanning(bearer: string, account: string): Promise<PlanningDto[]>;
    getById(bearer: string, account: string, planningId: string): Promise<PlanningDto>;
    createPlanning(bearer: string, account: string, planning: PlanningDto): Promise<PlanningDto>;
    updatePlanning(bearer: string, account: string, planningId: string, planning: PlanningDto): Promise<PlanningDto>;
    delete(bearer: string, account: string, planningId: string): Promise<void>;
    protected filteredDataLog(data: any): any;
}
