export type LoggerServiceType = 'js-calendar-api' | 'vue-search' | 'vue-crm' | 'vue-settings' | 'vue-form' | 'vue-queue' | 'vue-agenda' | 'vue-agendize' | 'vue-acl' | 'vue-widget' | 'vue-event-booking' | 'vue-event-booking-widget' | string;
export declare enum LoggerLevel {
    FINE = "fine",
    TRACE = "trace",
    DEBUG = "debug",
    WARN = "warn",
    INFO = "info",
    ERROR = "error"
}
export declare class Logger {
    private level;
    private logger;
    constructor(logger: LoggerInterface);
    setLevel(level: LoggerLevel, until?: Date): void;
    fine(service: LoggerServiceType, ...data: any[]): void;
    trace(service: LoggerServiceType, ...data: any[]): void;
    debug(service: LoggerServiceType, ...data: any[]): void;
    info(service: LoggerServiceType, ...data: any[]): void;
    warn(service: LoggerServiceType, ...data: any[]): void;
    error(service: LoggerServiceType, ...data: any[]): void;
    private isLogLevelHigher;
}
export interface LoggerInterface {
    fine(service: LoggerServiceType, ...data: any[]): void;
    trace(service: LoggerServiceType, ...data: any[]): void;
    debug(service: LoggerServiceType, ...data: any[]): void;
    info(service: LoggerServiceType, ...data: any[]): void;
    warn(service: LoggerServiceType, ...data: any[]): void;
    error(service: LoggerServiceType, ...data: any[]): void;
}
export declare class ConsoleLogger implements LoggerInterface {
    fine(service: LoggerServiceType, ...data: any[]): void;
    trace(service: LoggerServiceType, ...data: any[]): void;
    debug(service: LoggerServiceType, ...data: any[]): void;
    error(service: LoggerServiceType, ...data: any[]): void;
    info(service: LoggerServiceType, ...data: any[]): void;
    warn(service: LoggerServiceType, ...data: any[]): void;
}
